{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=viewport, initial-scale=1.0">
    <title>Blog Website</title>

    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
            integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"
            integrity="sha384-fbbOQedDUMZZ5KreZpsbe1LCZPVmfTnH7ois6mU1QK+m14rQ1l2bGBq41eYeM/fS"
            crossorigin="anonymous"></script>
</head>
<body style="background-image: url('{% static "imgs/bg-image.jpg" %}'); background-size: cover">
<nav>
    <nav class="navbar navbar-expand-lg bg-dark" data-bs-theme="dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'blog:home' %}">Blog App</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                </ul>
                <div class="text-white me-2">
                    {% if request.user.is_authenticated %}
                        <a href="{% url 'users:profile' user.profile.pk %}">{{ request.user }}</a>
                        <a class="btn btn-danger" href="{% url 'users:sign-out' %}">Sign Out</a>
                    {% else %}
                        <a class="btn btn-primary" href="{% url 'users:sign-in' %}">Sign In</a>
                        <a class="btn btn-success" href="{% url 'users:sign-up' %}">Sign Up</a>
                    {% endif %}
                </div>
                <form action="{% url 'blog:home' %}" class="d-flex" role="search">
                    <input name="q" value="{{ request.GET.q }}" class="form-control me-2" type="search"
                           placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-success" type="submit">Search</button>
                </form>
            </div>
        </div>
    </nav>
</nav>
<main class="p-3">
{% block content %}

{% endblock %}
</main>

</body>
</html>